jdbcColumnMetaData (HSQLDB 1.8.0.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb.jdbc
Class jdbcColumnMetaData

    java.lang.Object
      org.hsqldb.jdbc.jdbcColumnMetaData

public final class jdbcColumnMetaData
extends java.lang.Object

Provides a site for holding the ResultSetMetaData for individual ResultSet columns.

Since:
  HSQLDB 1.7.2
Author:
  boucherb@users

Field Summary
`java.lang.String` | `catalogName` The column's table's catalog name.
`java.lang.String` | `columnClassName` The fully-qualified name of the Java class whose instances are manufactured if the method ResultSet.getObject is called to retrieve a value from the column.
`int` | `columnDisplaySize` The column's normal max width in chars.
`java.lang.String` | `columnLabel` The suggested column title for use in printouts and displays.
`java.lang.String` | `columnName` The column's name.
`int` | `columnType` The column's SQL type.
`java.lang.String` | `columnTypeName` The column's database-specific type name.
`boolean` | `isAutoIncrement` Whether the value of the column are automatically numbered.
`boolean` | `isCaseSensitive` Whether the column's value's case matters.
`boolean` | `isCurrency` Whether the values in the column are cash values.
`boolean` | `isDefinitelyWritable` Whether a write on the column will definitely succeed.
`int` | `isNullable` The nullability of values in the column.
`boolean` | `isReadOnly` Whether the column's values are definitely not writable.
`boolean` | `isSearchable` Whether the column's values can be used in a where clause.
`boolean` | `isSigned` Whether values in the column are signed numbers.
`boolean` | `isWritable` Whether it is possible for a write on the column to succeed.
`int` | `precision` The column's value's number of decimal digits.
`int` | `scale` The column's value's number of digits to right of the decimal point.
`java.lang.String` | `schemaName` The column's table's schema.
`java.lang.String` | `tableName` The column's table's name.

Constructor Summary
`jdbcColumnMetaData()`

Method Summary
`java.lang.String` | `toString()` Retrieves a String representation of this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### catalogName

    public java.lang.String catalogName

  The column's table's catalog name.

### columnClassName

    public java.lang.String columnClassName

  The fully-qualified name of the Java class whose instances are manufactured if the method ResultSet.getObject is called to retrieve a value from the column.

### columnDisplaySize

    public int columnDisplaySize

  The column's normal max width in chars.

### columnLabel

    public java.lang.String columnLabel

  The suggested column title for use in printouts and displays.

### columnName

    public java.lang.String columnName

  The column's name.

### columnType

    public int columnType

  The column's SQL type.

### columnTypeName

    public java.lang.String columnTypeName

  The column's database-specific type name.

### precision

    public int precision

  The column's value's number of decimal digits.

### scale

    public int scale

  The column's value's number of digits to right of the decimal point.

### schemaName

    public java.lang.String schemaName

  The column's table's schema.

### tableName

    public java.lang.String tableName

  The column's table's name.

### isAutoIncrement

    public boolean isAutoIncrement

  Whether the value of the column are automatically numbered.

### isCaseSensitive

    public boolean isCaseSensitive

  Whether the column's value's case matters.

### isCurrency

    public boolean isCurrency

  Whether the values in the column are cash values.

### isDefinitelyWritable

    public boolean isDefinitelyWritable

  Whether a write on the column will definitely succeed.

### isNullable

    public int isNullable

  The nullability of values in the column.

### isReadOnly

    public boolean isReadOnly

  Whether the column's values are definitely not writable.

### isSearchable

    public boolean isSearchable

  Whether the column's values can be used in a where clause.

### isSigned

    public boolean isSigned

  Whether values in the column are signed numbers.

### isWritable

    public boolean isWritable

  Whether it is possible for a write on the column to succeed.

Constructor Detail

### jdbcColumnMetaData

    public jdbcColumnMetaData()

Method Detail

### toString

    public java.lang.String toString()

  Retrieves a String representation of this object.

  Returns:
    a Sring representation of this object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 - 2005 HSQL Development Group. All Rights Reserved.